#!/bin/bash

FIRST_TIME_RUN=1

if [ ${FIRST_TIME_RUN} == 1 ]; then
	killall -9 conky
elif [${FIRST_TIME_RUN} == 0 ]; then
	kill ${CONKY_CLOCK_PROC}
	kill ${CONKY_MEDIA_PROC}
	kill ${CONKY_PORT_PROC}
	kill ${CONKY_BATT_PROC}
	kill ${CONKY_PERM_PROC}
else
	exit 1
fi

CONFIG_DIR="${HOME}/.config/conky"

conky -c ${CONFIG_DIR}/clock.conf
CONKY_CLOCK_PROC=$!

conky -c ${CONFIG_DIR}/mediaplayer.conf
CONKY_MEDIA_PROC=$!

conky -c ${CONFIG_DIR}/ports.conf
CONKY_PORT_PROC=$!

conky -c ${CONFIG_DIR}/battery.conf
CONKY_BATT_PROC=$!

conky -c ${CONFIG_DIR}/mode.conf
CONKY_PERM_PROC=$!

FIRST_TIME_RUN=0
